OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDF

# MDF_ListIteratorOfDriverListOfARDriverTable Class Reference

`#include <MDF_ListIteratorOfDriverListOfARDriverTable.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDF_ListIteratorOfDriverListOfARDriverTable ()
Standard_EXPORT | MDF_ListIteratorOfDriverListOfARDriverTable (const MDF_DriverListOfARDriverTable &L)
Standard_EXPORT void | Initialize (const MDF_DriverListOfARDriverTable &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_MDF_ARDriver & | Value () const
## Private Attributes
Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT MDF_ListIteratorOfDriverListOfARDriverTable::MDF_ListIteratorOfDriverListOfARDriverTable | ( |  | ) |

Standard_EXPORT MDF_ListIteratorOfDriverListOfARDriverTable::MDF_ListIteratorOfDriverListOfARDriverTable | ( | const MDF_DriverListOfARDriverTable & | L | ) |

## Member Function Documentation

Standard_EXPORT void MDF_ListIteratorOfDriverListOfARDriverTable::Initialize | ( | const MDF_DriverListOfARDriverTable & | L | ) |

Standard_Boolean MDF_ListIteratorOfDriverListOfARDriverTable::More | ( |  | ) | const

Standard_EXPORT void MDF_ListIteratorOfDriverListOfARDriverTable::Next | ( |  | ) |

void MDF_ListIteratorOfDriverListOfARDriverTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_ListIteratorOfDriverListOfARDriverTable::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_ListIteratorOfDriverListOfARDriverTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_MDF_ARDriver& MDF_ListIteratorOfDriverListOfARDriverTable::Value | ( |  | ) | const

## Field Documentation

Standard_Address MDF_ListIteratorOfDriverListOfARDriverTable::current`[private]`

Standard_Address MDF_ListIteratorOfDriverListOfARDriverTable::previous`[private]`

The documentation for this class was generated from the following file:

- MDF_ListIteratorOfDriverListOfARDriverTable.hxx